Subject: Re: powerpc_flash_init(), wtf!?

From: Sergei Shtylyov <[email-masked]>
Date: Thu, 03 May 2007 21:53:22 +0400

Hello, I wrote:

>>Now for ROM/flash/NVRAM, nodes _can_ appear directly
>>under the root, but only if that is where they belong
>>on your platform (i.e., they sit directly on the "system
>>bus" (whatever that means on your platform); on most
>>platforms though, such devices are connected via some
>>I/O busses, so the nodes should appear under their
>>respective controllers.

>     Yeah, you're right here, and I've probably misunderstood what "memory" 
> node was. In fact, the flash in my system resides on the same local bus as 
> RAM, so the proper place would be behind the "lbc" (or whatever -- it doesn't 
> exist as yet) node on the "soc" bus.  Do you think I need to go and document 
> it as well for such cause? :-]

    No, that probably won't do. MPC85xx SoC bus has ranges = <e0000000 
00100000> and the NOR flash is mapped at 0xff000000, so it seems that it can't 
be located under the "soc" bus (unless that latter has "ranges" prop extended?).

>>Segher

WBR, Sergei